概览
欢迎查看 API文档。我们提供完整的REST和WebSocket API以满足您的交易需求。
API学习资源与技术支持
创建我的APIKEY
请在官网或APP进行创建。
实盘交易
实盘API交易地址如下:
- REST:https://api-v2.uzx.com
- WebSocket公共频道:wss://stream.uzx.com
- WebSocket私有频道:wss://stream.uzx.com
做市商申请
REST API
请求验证
生成Apikey
在对任何请求进行签名之前,您必须通过交易网站创建一个APIKey。创建APIKey后,您将获得3个必须记住的信息:
- APIKey
- SecretKey
- Passphrase APIKey和SecretKey将由平台随机生成和提供,Passphrase将由您提供以确保API访问的安全性。平台将存储Passphrase加密后的哈希值进行验证,但如果您忘记Passphrase,则无法恢复,请您通过交易网站重新生成新的APIKey。
发起请求
代码下单示例
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostOrder(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/order";
String body = "{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostOrder();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_order():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/order"
body = {
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_order()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostOrder() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/order"
body := `{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostOrder()
}
所有REST私有请求头都必须包含以下内容:
Header参数:
| 参数名 | 类型 | 是否必须 | 描述 |
|---|---|---|---|
| UZX-ACCESS-KEY | string | 是 | APIKey |
| UZX-ACCESS-SIGN | string | 是 | 使用HMAC SHA256哈希函数获得哈希值,再使用Base-64编码(请参阅签名) |
| UZX-ACCESS-TIMESTAMP | string | 是 | 发起请求的时间,如:1675665900 |
| UZX-ACCESS-PASSPHRASE | string | 是 | 您在创建API密钥时指定的Passphrase |
签名
代码签名生成示例
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.HmacAlgorithms;
import org.apache.commons.codec.digest.HmacUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.Validate;
import java.io.UnsupportedEncodingException;
public class OpenAPiUtils {
public static final String GET = "GET";
public static final String POST = "POST";
public static final String DELETE = "DELETE";
public static String generate(final String timestamp, String method, final String requestPath,
String queryString, String body, final String secret, final HmacAlgorithmEnum alg) {
body = StringUtils.defaultIfBlank(body, StringUtils.EMPTY);
queryString = StringUtils.isEmpty(queryString) ? "" : "?" + queryString;
final String preHash = timestamp + method + requestPath + queryString + body;
return encodeBase64(alg, secret, preHash);
}
public static String encodeBase64(final HmacAlgorithmEnum alg, final String secret, final String data) {
Validate.notNull(alg, "SignatureAlgorithm cannot be null.");
Validate.notNull(data, "Signing Secret cannot be null.");
switch (alg) {
case HMAC_MD5:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_MD5, secret).hmac(data));
case HMAC_SHA_1:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_1, secret).hmac(data));
case HMAC_SHA_224:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_224, secret).hmac(data));
case HMAC_SHA_256:
try {
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_256,
secret.getBytes("UTF-8")).hmac(data.getBytes("UTF-8")));
} catch (UnsupportedEncodingException e) {
throw new RuntimeException(e.getMessage());
}
case HMAC_SHA_384:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_384, secret).hmac(data));
case HMAC_SHA_512:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_512, secret).hmac(data));
default:
throw new IllegalArgumentException("The '" + alg.name() + "' algorithm cannot be used for signing.");
}
}
}
import hmac
import hashlib
import base64
def generate_signature(timestamp, method, request_path, query_string, body, secret):
method = method.upper()
query_string = '?' + query_string if query_string else ''
body = body if body else ''
pre_hash = f"{timestamp}{method}{request_path}{query_string}{body}"
signature = hmac.new(
secret.encode('utf-8'),
pre_hash.encode('utf-8'),
hashlib.sha256
).digest()
return base64.b64encode(signature).decode('utf-8')
package main
import (
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"strings"
)
func GenerateSignature(timestamp, method, requestPath, queryString, body, secret string) string {
method = strings.ToUpper(method)
if queryString != "" {
queryString = "?" + queryString
}
preHash := timestamp + method + requestPath + queryString + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
signature := base64.StdEncoding.EncodeToString(mac.Sum(nil))
return signature
}
UZX-ACCESS-SIGN的请求头是对timestamp + method + requestPath + body字符串(+表示字符串连接),以及SecretKey,使用HMAC SHA256方法加密,通过Base-64编码输出而得到的。
如:sign=CryptoJS.enc.Base64.stringify(CryptoJS.HmacSHA256(timestamp + 'GET' + '/v2/trade/history/positions?product_name=BTCUSDT&ins_type=SWAP', SecretKey))
其中,timestamp的值与UZX-ACCESS-TIMESTAMP请求头相同,为时间戳格式,如1675665900。
method是请求方法,字母全部大写:GET/POST。
requestPath是请求接口路径。如:/v2/trade/history/positions
body是指请求主体的字符串,如果请求没有主体(通常为GET请求)则body可省略。如:{"instId":"BTC-USDT","lever":"5","mgnMode":"isolated"}
SecretKey为用户申请APIKey时所生成。如:22582BD0CFF14C41EDBF1AB98506286D
枚举值
订单&仓位枚举
订单保证金模式 mgn_mode
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 逐仓 |
| 2 | int | 全仓 |
订单模式 order_mode
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 普通订单 |
| 2 | int | 强平代管委托 |
| 4 | int | adl自动减仓 |
| 7 | int | 一键平仓单 |
买卖方向 order_buy_or_sell
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 买 |
| 2 | int | 卖 |
仓位方向 pos_side
| 值 | 类型 | 说明 |
|---|---|---|
| LG | string | 多仓 |
| ST | string | 空仓 |
订单类型 order_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 市价单 |
| 2 | int | 限价GTC-普通限价单 |
| 3 | int | 限价IOC-高级限价 |
| 4 | int | 限价FOK-高级限价 |
| 5 | int | LimitMaker-高级限价 |
| 9 | int | 一键平仓 |
开仓方向 pos_opt
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 开仓 |
| 2 | int | 平仓 |
| 3 | int | 强平接管 |
| 5 | int | adl自动减仓 |
订单状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 0 | int | 挂单 |
| 1 | int | 部分成交 |
| 2 | int | 部分撤单 |
| 3 | int | 撤单 |
| 4 | int | 完全成交 |
仓位模式 pos_mode
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 双向持仓 |
| 2 | int | 单向持仓 |
角色 role
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | string | taker |
| 2 | string | maker |
仓位状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 持仓 |
| 2 | int | 已平仓 |
| 3 | int | 强平 |
策略单枚举
止盈止损委托类型 stop_pos_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 部分仓位 |
| 2 | int | 全量仓位 |
止盈方式 tp_price_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 市价 |
| 2 | int | 限价 |
触发方式
tp_price_compare止盈触发价格类型sl_price_compare止损触发价格类型plan_price_compare计划委托触发价格类型trial_compare移动止盈止损激活价格类型
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 指数价格 |
| 2 | int | 标记价格 |
| 3 | int | 最新价格 |
移动止盈止损回调类型 trial_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 比例(移动止盈止损)/市价(计划委托) |
| 2 | int | 间距(移动止盈止损)/限价(计划委托) |
触发方式 fin_trigger_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 止盈 |
| 2 | int | 止损 |
策略单状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 3 | int | 撤单 |
| 100 | int | 待激活 |
| 101 | int | 待触发 |
| 102 | int | 触发成功 |
| 103 | int | 触发失败 |
币种配置枚举
币种状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 0 | int | 禁用 |
| 1 | int | 启用 |
现货币对配置枚举
现货产品状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 待开盘 |
| 2 | int | 启用中 |
| 3 | int | 暂停交易 |
永续合约币对配置枚举
合约产品状态 status
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 启用中 |
| 2 | int | 暂停交易 |
资金账户枚举
转账方向 trade_direction
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 收入 |
| 2 | int | 支出 |
账单主类型 bill_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 充值 |
| 2 | int | 提现 |
| 3 | int | 转入 |
| 4 | int | 转出 |
| 5 | int | 划转 |
| 6 | int | 空投 |
交易账户枚举
转账方向 trade_direction
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 收入 |
| 2 | int | 支出 |
账单主类型 bill_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 交易 |
| 2 | int | 强平 |
| 3 | int | 保证金划转 |
| 4 | int | 资金费 |
| 5 | int | 自动减仓 |
| 6 | int | 划转 |
| 7 | int | 分润支出 |
| 8 | int | 分润退还 |
| 9 | int | 体验金 |
| 10 | int | 风险基金 |
| 11 | int | 资金费用 |
账单子类型 sub_bill_type
| 值 | 类型 | 说明 |
|---|---|---|
| 1 | int | 冻结 |
| 2 | int | 解冻 |
| 3 | int | 买入 |
| 4 | int | 卖出 |
| 5 | int | 手续费 |
| 6 | int | 开多 |
| 7 | int | 开空 |
| 8 | int | 平多 |
| 9 | int | 平空 |
| 10 | int | 减仓平多 |
| 11 | int | 减仓平空 |
| 12 | int | 手动追加保证金 |
| 13 | int | 手动减少保证金 |
| 14 | int | 自动追加保证金 |
| 15 | int | 资金费支出 |
| 16 | int | 资金费收入 |
| 17 | int | 转入 |
| 18 | int | 转出 |
行情枚举
事件类型 event
| 值 | 类型 | 说明 |
|---|---|---|
| sub | string | 订阅 |
| unsub | string | 取消订阅 |
| req | string | 请求数据 |
业务类型 biz
| 值 | 类型 | 说明 |
|---|---|---|
| spot | string | 现货 |
| swap | string | 合约 |
频道名 type
- 现货频道名
| 值 | 类型 | 说明 |
|---|---|---|
| spot.candles | string | 现货k线 |
| spot.orderbook | string | 现货订单簿 |
| spot.percent10 | string | 现货订单簿percent10 |
| spot.ticker | string | 现货ticker |
| spot.fills | string | 现货成交明细 |
| spot.overview | string | 现货overview |
- 合约频道名
| 值 | 类型 | 说明 |
|---|---|---|
| swap.candles | string | 合约k线 |
| swap.index | string | 合约指数k线 |
| swap.tag | string | 合约标记k线 |
| swap.orderbook | string | 合约订单簿 |
| swap.percent10 | string | 合约订单簿percent10 |
| swap.ticker | string | 合约ticker |
| swap.fills | string | 合约成交明细 |
| swap.overview | string | 合约overview |
周期 interval
| 值 | 类型 | 说明 |
|---|---|---|
| 1min | string | 1分钟 |
| 5min | string | 5分钟 |
| 15min | string | 15分钟 |
| 30min | string | 30分钟 |
| 60min | string | 60分钟 |
| 1day | string | 1天 |
| 1week | string | 1周 |
| 1mon | string | 1月 |
撮合交易
撮合交易功能模块下的API接口需要身份验证。
现货新增委托单
限速:3次/秒
HTTP请求
POST /v2/trade/spot/order
请求参数
请求示例
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/order";
String body = "{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/order"
body = {
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/order"
body := `{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » order_type | body | integer | 是 | 订单类型 | 见枚举 |
| » price | body | string | 是 | 价格 | none |
| » amount | body | string | 是 | 下单数量 | none |
| » order_buy_or_sell | body | integer | 是 | 买卖方向 | 1 买, 2 卖 |
| » trade_ccy | body | integer | 是 | 市价委托的单位 | 1 交易货币, 2计价货币 |
| » attach_algo | body | array[object] | 否 | 止盈止损信息 | none |
| »» tp_trigger_price | body | string | 是 | 止盈触发价 | none |
| »» tp_ord_price | body | string | 是 | 止盈委托价 | -1 代表市价,>0 为正常限价价格 |
| »» tp_ord_kind | body | string | 是 | 止盈委托类型 | 1.触发单/条件单(默认) 2 限价单 |
| »» sl_trigger_price | body | string | 是 | 止损触发价 | none |
| »» sl_ord_price | body | string | 是 | 止损委托价 | -1 代表市价,>0 为正常限价价格 |
返回参数
返回结果
{
"code": 200,
"msg": "success",
"data": {
"order_id": "2508810000100425939"
}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | object | 数据 | none |
| »» order_id | string | 订单ID | none |
现货批量新增委托单
限速:3次/秒
HTTP请求
POST /v2/trade/spot/batch-orders
请求参数
请求示例
[
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
]
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/batch-orders";
String body = "[{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}]";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/batch-orders"
body = [
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
]
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/batch-orders"
body := `[{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}]`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | array[object] | 否 | 订单数组 | none |
| » product_name | body | string | 是 | 产品名 | none |
| » order_type | body | integer | 是 | 订单类型 | 见枚举 |
| » price | body | string | 是 | 价格 | none |
| » amount | body | string | 是 | 下单数量 | none |
| » order_buy_or_sell | body | integer | 是 | 买卖方向 | 1 买, 2 卖 |
| » trade_ccy | body | integer | 是 | 市价委托的单位 | 1 交易货币, 2计价货币 |
| » attach_algo | body | array[object] | 否 | 止盈止损信息 | none |
| »» tp_trigger_price | body | string | 是 | 止盈触发价 | none |
| »» tp_ord_price | body | string | 是 | 止盈委托价 | -1 代表市价,>0 为正常限价价格 |
| »» tp_ord_kind | body | string | 是 | 止盈委托类型 | 1.触发单/条件单(默认) 2 限价单 |
| »» sl_trigger_price | body | string | 是 | 止损触发价 | none |
| »» sl_ord_price | body | string | 是 | 止损委托价 | -1 代表市价,>0 为正常限价价格 |
返回参数
返回结果
{
"code": 200,
"msg": "success",
"data": [
{
"code": 200,
"order_id": "2509820413501205367"
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» code | integer | none | |
| »» order_id | string | none |
合约新增委托单
限速:3次/秒
HTTP请求
POST /v2/trade/swap/order
请求参数
Body 请求示例
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "107000",
"amount": "1",
"trade_ccy": 1,
"pos_side": "LG",
"order_buy_or_sell": 1
}
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/swap/order";
String body = "{\"product_name\":\"BTCUSDT\",\"order_type\":2,\"number\":1,\"price\":\"107000\",\"amount\":\"1\",\"trade_ccy\":1,\"pos_side\":\"LG\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/swap/order"
body = {
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "107000",
"amount": "1",
"trade_ccy": 1,
"pos_side": "LG",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/swap/order"
body := `{"product_name":"BTCUSDT","order_type":2,"number":1,"price":"107000","amount":"1","trade_ccy":1,"pos_side":"LG","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » order_type | body | integer | 是 | 订单类型 | 见枚举 |
| » number | body | integer | 是 | 合约张数 | none |
| » price | body | string | 是 | 价格 | none |
| » amount | body | string | 否 | 市价下单计价币数量 | none |
| » trade_ccy | body | integer | 否 | 市价委托的单位 | 1 合约数量, 2 计价货币 |
| » pos_side | body | string | 是 | 仓位方向 | LG 多, ST 空 |
| » order_buy_or_sell | body | integer | 是 | 买卖方向 | 1 买, 2 卖 |
| » attach_algo | body | array[object] | 否 | 止盈止损信息 | none |
| »» tp_trigger_price | body | string | 是 | 止盈触发价 | none |
| »» tp_ord_price | body | string | 是 | 止盈委托价 | -1 代表市价委托 > 0 正常限价价格 |
| »» tp_ord_kind | body | integer | 是 | 止盈订单类型 | 1.触发单/条件单(默认) 2 限价单 |
| »» tp_compare | body | integer | 是 | 止盈触发价格对比 | 1:指数价格 2:标记价格 3:最新成交价 |
| »» sl_trigger_price | body | string | 是 | 止损触发价 | none |
| »» sl_ord_price | body | string | 是 | 止损委托价 | -1 代表市价委托 > 0 正常限价价格 |
| »» sl_compare | body | integer | 是 | 止损触发价格对比 | 1:指数价格 2:标记价格 3:最新成交价 |
返回参数
返回示例
{
"code": 200,
"msg": "success",
"data": {
"order_id": "2517820683201827363"
}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | object | 数据 | none |
| »» order_id | string | 订单ID | none |
合约批量新增委托单
限速:3次/秒
HTTP请求
POST /v2/trade/swap/batch-orders
请求参数
Body 请求示例
[
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "102001",
"amount": "316.89",
"pos_side": "LG",
"order_buy_or_sell": 1
}
]
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/swap/batch-orders";
String body = "[{\"product_name\":\"BTCUSDT\",\"order_type\":2,\"number\":1,\"price\":\"102001\",\"amount\":\"316.89\",\"pos_side\":\"LG\",\"order_buy_or_sell\":1}]";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/swap/batch-orders"
body = [
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "102001",
"amount": "316.89",
"pos_side": "LG",
"order_buy_or_sell": 1
}
]
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/swap/batch-orders"
body := `[{"product_name":"BTCUSDT","order_type":2,"number":1,"price":"102001","amount":"316.89","pos_side":"LG","order_buy_or_sell":1}]`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | array[object] | 否 | 订单数组 | none |
| » product_name | body | string | 是 | 产品名 | none |
| » order_type | body | integer | 是 | 订单类型 | 见枚举 |
| » number | body | integer | 是 | 合约张数 | none |
| » price | body | string | 是 | 价格 | none |
| » amount | body | string | 否 | 市价下单计价币数量 | none |
| » trade_ccy | body | integer | 否 | 市价委托的单位 | 1 合约数量, 2 计价货币 |
| » pos_side | body | string | 是 | 仓位方向 | LG 多, ST 空 |
| » order_buy_or_sell | body | integer | 是 | 买卖方向 | 1 买, 2 卖 |
| » attach_algo | body | array[object] | 否 | 止盈止损信息 | none |
| »» tp_trigger_price | body | string | 是 | 止盈触发价 | none |
| »» tp_ord_price | body | string | 是 | 止盈委托价 | -1 代表市价委托 > 0 正常限价价格 |
| »» tp_ord_kind | body | integer | 是 | 止盈订单类型 | 1.触发单/条件单(默认) 2 限价单 |
| »» tp_compare | body | integer | 是 | 止盈触发价格对比 | 1:指数价格 2:标记价格 3:最新成交价 |
| »» sl_trigger_price | body | string | 是 | 止损触发价 | none |
| »» sl_ord_price | body | string | 是 | 止损委托价 | -1 代表市价委托 > 0 正常限价价格 |
| »» sl_compare | body | integer | 是 | 止损触发价格对比 | 1:指数价格 2:标记价格 3:最新成交价 |
返回参数
返回示例
{
"code": 200,
"msg": "success",
"data": [
{
"order_id": "2517720561802636780"
},
{
"order_id": "2517720561802636781"
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» code | integer | 状态码 | none |
| »» order_id | string | 订单ID | none |
合约指定币对市价全平
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/close-position
请求参数
Body 请求示例
{
"product_name": "BTCUSDT",
"pos_side": "LG"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/close-position";
String body = "{\"product_name\":\"BTCUSDT\",\"pos_side\":\"LG\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/close-position"
body = {
"product_name": "BTCUSDT",
"pos_side": "LG"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/close-position"
body := `{"product_name":"BTCUSDT","pos_side":"LG"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » pos_side | body | string | 是 | 仓位方向 | LG 多, ST 空 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
合约调整仓位杠杆倍数
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/position/set-leverage
请求参数
请求示例
{
"product_name": "BTCUSDT",
"leverage": 10,
"pos_side": "LG",
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/position/set-leverage";
String body = "{\"product_name\":\"BTCUSDT\",\"leverage\":10,\"pos_side\":\"LG\",\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/position/set-leverage"
body = {
"product_name": "BTCUSDT",
"leverage": 10,
"pos_side": "LG",
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/position/set-leverage"
body := `{"product_name":"BTCUSDT","leverage":10,"pos_side":"LG","mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » leverage | body | integer | 是 | 修改后的杠杆倍数 | none |
| » pos_side | body | string | 是 | 仓位方向 | LG 多, ST 空 |
| » mgn_mode | body | integer | 是 | 保证金模式 | 1 逐仓, 2 全仓 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
合约调整仓位保证金
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/position/margin-balance
请求参数
请求示例
{
"product_name": "BTCUSDT",
"type": "add",
"pos_side": "LG",
"amount": "1"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/position/margin-balance";
String body = "{\"product_name\":\"BTCUSDT\",\"type\":\"add\",\"pos_side\":\"LG\",\"amount\":\"1\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/position/margin-balance"
body = {
"product_name": "BTCUSDT",
"type": "add",
"pos_side": "LG",
"amount": "1"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/position/margin-balance"
body := `{"product_name":"BTCUSDT","type":"add","pos_side":"LG","amount":"1"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » type | body | string | 是 | 类型 | add 增加, reduce 减少 |
| » amount | body | string | 是 | 保证金数量 | none |
| » pos_side | body | string | 是 | 仓位方向 | LG 多, ST 空 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
合约修改用户币对杠杆配置
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/config/set-leverage
请求参数
注意:
pos_mode 是 1时, 需要传递:long_leverage 、short_leverage
pos_mode 是 2时, 需要传递:one_way_leverage请求示例
{
"product_name": "BTCUSDT",
"long_leverage": 5,
"short_leverage": 5,
"one_way_leverage": 5,
"pos_mode": 1,
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-leverage";
String body = "{\"product_name\":\"BTCUSDT\",\"long_leverage\":5,\"short_leverage\":5,\"one_way_leverage\":5,\"pos_mode\":1,\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-leverage"
body = {
"product_name": "BTCUSDT",
"long_leverage": 5,
"short_leverage": 5,
"one_way_leverage": 5,
"pos_mode": 1,
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-leverage"
body := `{"product_name":"BTCUSDT","long_leverage":5,"short_leverage":5,"one_way_leverage":5,"pos_mode":1,"mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » long_leverage | body | integer | 是 | 多仓杠杆 | none |
| » short_leverage | body | integer | 是 | 空仓杠杆 | none |
| » one_way_leverage | body | integer | 是 | 单向持仓杠杆 | none |
| » pos_mode | body | integer | 是 | 仓位模式 | 1 双向, 2 单向 |
| » mgn_mode | body | integer | 是 | 保证金模式 | 1 逐仓, 2 全仓 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
合约修改用户仓位保证金模式
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/config/set-mgn
请求参数
请求示例
{
"product_name": "BTCUSDT",
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-mgn";
String body = "{\"product_name\":\"BTCUSDT\",\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-mgn"
body = {
"product_name": "BTCUSDT",
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-mgn"
body := `{"product_name":"BTCUSDT","mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » product_name | body | string | 是 | 产品名 | none |
| » mgn_mode | body | integer | 是 | 保证金模式 | 1 逐仓, 2 全仓 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
合约修改用户持仓模式
限速:3次/秒
HTTP请求
PUT /v2/trade/swap/config/set-pos-mod
请求参数
请求示例
{
"pos_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-pos-mod";
String body = "{\"pos_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-pos-mod"
body = {
"pos_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-pos-mod"
body := `{"pos_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » pos_mode | body | integer | 是 | 持仓模式 | 1 双向持仓, 2 单向持仓 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
撤销委托单
限速:3次/秒
HTTP请求
PUT /v2/trade/cancel-order
请求参数
请求示例
{
"inst_type": 1,
"cancel_ord_type": 1,
"order_id": "2509820413501205367"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/cancel-order";
String body = "{\"inst_type\":1,\"cancel_ord_type\":1,\"order_id\":\"2509820413501205367\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/cancel-order"
body = {
"inst_type": 1,
"cancel_ord_type": 1,
"order_id": "2509820413501205367"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/cancel-order"
body := `{"inst_type":1,"cancel_ord_type":1,"order_id":"2509820413501205367"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » inst_type | body | integer | 是 | 业务类型 | 1 现货 | 2 合约 |
| » cancel_ord_type | body | integer | 是 | 撤销订单类型 | 1.限价/高级限价单 2.止盈止损单 3.计划委托单 4.移动止盈止损单 |
| » order_id | body | string | 是 | 订单id |
返回参数
返回结果
{
"code": 200,
"msg": "string",
"data": {}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| code | integer | 状态码 | none |
| msg | string | 描述信息 | none |
| data | object | 数据 | none |
批量撤销委托单
限速:3次/秒
HTTP请求
PUT /v2/trade/cancel-batch-order
请求参数
请求示例
{
"inst_type": 1,
"cancel_ord_type": 1,
"order_ids": [
"2509820413501205367",
"2509820413501205368"
]
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/cancel-batch-order";
String body = "{\"inst_type\":1,\"cancel_ord_type\":1,\"order_ids\":[\"2509820413501205367\",\"2509820413501205368\"]}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/cancel-batch-order"
body = {
"inst_type": 1,
"cancel_ord_type": 1,
"order_ids": [
"2509820413501205367",
"2509820413501205368"
]
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/cancel-batch-order"
body := `{"inst_type":1,"cancel_ord_type":1,"order_ids":["2509820413501205367","2509820413501205368"]}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| body | body | object | 否 | none | |
| » inst_type | body | integer | 是 | 业务类型 | 1 现货 2 合约 |
| » cancel_ord_type | body | integer | 是 | 撤销订单类型 | 1.限价/高级限价单 2.止盈止损单 3.计划委托单 4.移动止盈止损单 |
| » order_ids | body | [string] | 是 | 订单id列表 | none |
返回参数
返回结果
{
"code": 200,
"msg": "success",
"data": [
{
"code": 200,
"order_id": "2509820413501205367"
},
{
"code": 200,
"order_id": "2509820413501205368"
}
]
}
| 名称 | 类型 | 中文名 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» code | integer | none | |
| »» order_id | string | none |
当前委托
限速:10次/秒
HTTP请求
GET /v2/trade/orders
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| product_name | query | string | 否 | 产品名 |
返回参数
返回结果
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTC-USDT",
"order_id": "2517910362100040465",
"mgn_mode": 0,
"pos_side": "",
"order_mode": 0,
"pos_mode": 0,
"order_type": 2,
"pos_opt": 0,
"leverage": 0,
"order_buy_or_sell": 1,
"number": 0,
"amount": "",
"deal_number": 0,
"lock_base_amount": "0.001",
"lock_quote_amount": "109.52972",
"filled_quote_amount": "0",
"price": "109529.72",
"status": 0,
"avg_price": "0",
"deal_fee": "0",
"income": "0",
"created_at": 1751100684192,
"finish_at": 1751100684208,
"ins_type": "SPOT",
"algo_info": null,
"coin": "USDT",
"un_filled_amount": 0
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» product_name | string | 产品名 | none |
| »» order_id | string | 订单id | none |
| »» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_side | string | 仓位方向 | 仅适用于合约业务(U本位,币本位) |
| »» order_mode | integer | 订单种类 | 仅适用于合约业务(U本位,币本位) |
| »» pos_mode | integer | 持仓模式 | 仅适用于合约业务(U本位,币本位) |
| »» order_type | integer | 订单类型 | none |
| »» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »» leverage | string | 杠杆 | 仅适用于合约业务(U本位,币本位) |
| »» order_buy_or_sell | integer | 买卖方向 | none |
| »» number | string | 合约张数 | 仅适用于合约业务(U本位,币本位) |
| »» amount | string | 冻结的数量 | 仅适用于合约业务(U本位,币本位) |
| »» deal_number | string | 成交数量 | 成交基础币量 |
| »» lock_base_amount | string | 委托基础币量 | 仅适用于现货业务 |
| »» lock_quote_amount | string | 委托价值币量 | 仅适用于现货业务 |
| »» filled_quote_amount | string | 成交价值币量 | 仅适用于现货业务 |
| »» price | string | 单价 | none |
| »» status | integer | 订单状态 | none |
| »» avg_price | string | 成交均价 | none |
| »» deal_fee | string | 已成交手续费 | none |
| »» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
| »» created_at | integer | 订单创建时间 | none |
| »» finish_at | integer | 最后更新时间 | none |
| »» ins_type | string | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| »» algo_info | string | 止盈止损信息 | none |
| »» coin | string | 计价币种 | none |
| »» un_filled_amount | string | 未成交数量 | 仅适用于合约业务(U本位,币本位) |
历史委托
限速:10次/秒
HTTP请求
GET /v2/trade/history/orders
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| product_name | query | string | 否 | 产品名称 | |
| begin | query | integer | 否 | 开始时间戳 | 毫秒 |
| end | query | integer | 否 | 结束时间戳 | 毫秒 |
| limit | query | integer | 否 | 条数 | 默认20,最大20 |
返回参数
返回结果
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTCUSDT",
"order_id": "2518220520600100009",
"mgn_mode": 1,
"pos_side": "ST",
"order_mode": 1,
"pos_mode": 1,
"order_type": 14,
"pos_opt": 0,
"leverage": 5,
"order_buy_or_sell": 2,
"number": 2,
"amount": "0.00015734",
"deal_number": 0,
"lock_base_amount": "0",
"lock_quote_amount": "0",
"filled_quote_amount": "0",
"price": "107775",
"status": 4,
"avg_price": "0",
"deal_fee": "0",
"income": "0",
"created_at": 1751414400845,
"finish_at": 1751414400876,
"ins_type": "SWAP",
"algo_info": "[]",
"coin": "USDT"
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» product_name | string | 产品名 | none |
| »» order_id | string | 订单id | none |
| »» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_side | string | 仓位方向 | 仅适用于合约业务(U本位,币本位) |
| »» order_mode | integer | 订单种类 | 仅适用于合约业务(U本位,币本位) |
| »» pos_mode | integer | 持仓模式 | 仅适用于合约业务(U本位,币本位) |
| »» order_type | integer | 订单类型 | none |
| »» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »» leverage | string | 杠杆 | 仅适用于合约业务(U本位,币本位) |
| »» order_buy_or_sell | integer | 买卖方向 | none |
| »» number | string | 合约张数 | 仅适用于合约业务(U本位,币本位) |
| »» amount | string | 冻结的数量 | none |
| »» deal_number | string | 成交数量 | 成交基础币量 |
| »» lock_base_amount | string | 委托基础币量 | 仅适用于现货业务 |
| »» lock_quote_amount | string | 委托价值币量 | 仅适用于现货业务 |
| »» filled_quote_amount | string | 成交价值币量 | 仅适用于现货业务 |
| »» price | string | 单价 | none |
| »» status | integer | 订单状态 | 详见枚举类型 |
| »» avg_price | string | 成交均价 | none |
| »» deal_fee | string | 已成交手续费 | none |
| »» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
| »» created_at | integer | 订单创建时间 | none |
| »» finish_at | integer | 最后更新时间 | none |
| »» ins_type | string | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| »» algo_info | string | 止盈止损信息 | none |
| »» coin | string | 计价币种 | none |
当前仓位
限速:10次/秒
HTTP请求
GET /v2/trade/positions
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 产品类型 | SWAP - U本位,BASE - 币本位 |
| product_name | query | string | 否 | 产品名 |
返回参数
返回示例
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTCUSDT",
"position_id": "205206000000000017",
"ins_type": "SWAP",
"mgn_mode": 1,
"pos_mode": 1,
"leverage": 5,
"side": "ST",
"hold_position_amount": 2,
"margin": "4.32523068",
"total_fee": "0.012933",
"status": 1,
"force_close_price": "129194.4422923322683706070287539936102236422",
"position_avg_price": "107775",
"deal_avg_price": "0",
"income": "0",
"begin_order_id": "2517920520600050556",
"created_at": 1751101108324,
"updated_at": 1751414400876,
"close_num": 0,
"open_num": 2,
"bankrupt_price": "129323.55926444133519888",
"force_trigger_price": "0",
"adl_num": 0,
"adl_deal_price": "0",
"adl_income": "0",
"funding_fee": "0.00129768"
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» product_name | string | 产品名 | none |
| »» position_id | string | 仓位id | none |
| »» ins_type | string | 产品类型 | SWAP - U本位,BASE - 币本位 |
| »» mgn_mode | integer | 保证金模式 | none |
| »» pos_mode | integer | 持仓模式 | none |
| »» leverage | integer | 杠杆 | none |
| »» side | string | 方向 | none |
| »» hold_position_amount | integer | 持仓数量 | none |
| »» margin | string | 保证金 | 可增减,仅适用于逐仓 |
| »» total_fee | string | 总成交手续费 | none |
| »» status | integer | 状态 | 1 未全平仓 2完全平仓 3 强平 |
| »» force_close_price | string | 强平价格 | none |
| »» position_avg_price | string | 开仓均价 | none |
| »» deal_avg_price | string | 平仓均价 | none |
| »» income | string | 平仓盈亏 | none |
| »» begin_order_id | string | 开仓订单号 | none |
| »» created_at | integer | 开仓时间 | none |
| »» updated_at | integer | 更新时间 | none |
| »» close_num | integer | 平仓张数 | none |
| »» open_num | integer | 开仓总数 | none |
| »» bankrupt_price | string | 破产价格 | none |
| »» force_trigger_price | string | 强平触发价格 | none |
| »» adl_num | integer | adl数量 | none |
| »» adl_deal_price | string | adl成交均价 | none |
| »» adl_income | string | adl收益 | none |
| »» funding_fee | string | 累计资金费用 | none |
历史仓位
限速:10次/秒
HTTP请求
GET /v2/trade/history/positions
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 产品类型 | SWAP - U本位,BASE - 币本位 |
| product_name | query | string | 否 | 产品名 | |
| mgn_mode | query | integer | 否 | 保证金模式 | 1 逐仓, 2 全仓 |
| begin | query | integer | 否 | 开始时间戳 | 毫秒 |
| end | query | integer | 否 | 结束时间戳 | 毫秒 |
| limit | query | integer | 否 | 条数 | 默认20条 |
返回参数
返回示例
{
"code": 200,
"msg": "string",
"data": [
{
"product_name": "string",
"position_id": "string",
"ins_type": "string",
"mgn_mode": 0,
"pos_mode": 0,
"leverage": 0,
"side": "string",
"hold_position_amount": 0,
"margin": "string",
"total_fee": "string",
"status": 0,
"force_close_price": "string",
"position_avg_price": "string",
"deal_avg_price": "string",
"income": "string",
"begin_order_id": "string",
"created_at": 0,
"updated_at": 0,
"close_num": 0,
"open_num": 0,
"bankrupt_price": "string",
"force_trigger_price": "string",
"adl_num": 0,
"adl_deal_price": "string",
"adl_income": "string",
"funding_fee": "string"
}
]
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | array[object] | 数据 | none |
| »» product_name | string | 产品名 | none |
| »» position_id | string | 仓位ID | none |
| »» ins_type | string | 产品类型 | SWAP - U本位,BASE - 币本位 |
| »» mgn_mode | integer | 保证金模式 | none |
| »» pos_mode | integer | 持仓模式 | none |
| »» leverage | integer | 杠杆倍数 | none |
| »» side | string | 持仓方向 | none |
| »» hold_position_amount | integer | 持仓数量 | none |
| »» margin | string | 保证金金额 | 可增减,仅适用于逐仓 |
| »» total_fee | string | 总手续费 | none |
| »» status | integer | 持仓状态 | 1:未全平仓 2:完全平仓 3:强平 |
| »» force_close_price | string | 强平价格 | none |
| »» position_avg_price | string | 开仓均价 | none |
| »» deal_avg_price | string | 平仓均价 | none |
| »» income | string | 平仓盈亏 | none |
| »» begin_order_id | string | 开仓订单号 | none |
| »» created_at | integer | 开仓时间 | none |
| »» updated_at | integer | 最后更新时间 | none |
| »» close_num | integer | 已平仓数量 | none |
| »» open_num | integer | 开仓总数量 | none |
| »» bankrupt_price | string | 破产价格 | none |
| »» force_trigger_price | string | 强平触发价 | none |
| »» adl_num | integer | ADL数量 | none |
| »» adl_deal_price | string | ADL成交均价 | none |
| »» adl_income | string | ADL收益 | none |
| »» funding_fee | string | 累计资金费用 | none |
指定订单详情
限速:10次/秒
HTTP请求
GET /v2/trade/order/details
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 业务类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| order_id | query | string | 是 | 订单id |
返回参数
返回示例
{
"code": 200,
"msg": "success",
"data": {
"product_name": "BTCUSDT",
"order_id": "2517920520600050556",
"mgn_mode": 1,
"pos_side": "ST",
"order_mode": 1,
"pos_mode": 1,
"order_type": 2,
"pos_opt": 1,
"leverage": 5,
"order_buy_or_sell": 2,
"number": 2,
"amount": "0",
"deal_number": 2,
"lock_base_amount": "0",
"lock_quote_amount": "0",
"filled_quote_amount": "0",
"price": "107775",
"status": 4,
"avg_price": "107775",
"deal_fee": "0.012933",
"income": "0",
"created_at": 1751101108310,
"finish_at": 1751101108340,
"ins_type": "SWAP",
"algo_info": "[]",
"coin": "USDT",
"bills": [
{
"bill_id": "43786-2517920520600050556-2517720520600573709",
"product_name": "",
"order_id": "2517920520600050556",
"position_id": "205206000000000017",
"mgn_mode": 1,
"role": "taker",
"order_mode": 1,
"pos_side": "ST",
"pos_opt": 1,
"filled_amount": "1",
"price": "107775",
"fee": "0.0064665",
"margin": "2.1619665",
"leverage": 5,
"income": "0",
"taker_fee": "0.0006",
"maker_fee": "0.0004",
"order_buy_or_sell": 2,
"created_at": 1751101108324,
"ins_type": "SWAP",
"order_type": 2
},
{
"bill_id": "43786-2517920520600050556-2517820520600110106",
"product_name": "",
"order_id": "2517920520600050556",
"position_id": "205206000000000017",
"mgn_mode": 1,
"role": "taker",
"order_mode": 1,
"pos_side": "ST",
"pos_opt": 1,
"filled_amount": "1",
"price": "107775",
"fee": "0.0064665",
"margin": "2.1619665",
"leverage": 5,
"income": "0",
"taker_fee": "0.0006",
"maker_fee": "0.0004",
"order_buy_or_sell": 2,
"created_at": 1751101108325,
"ins_type": "SWAP",
"order_type": 2
}
]
}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | object | 数据 | none |
| »» product_name | string | 产品名称 | none |
| »» order_id | string | 订单ID | none |
| »» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_side | string | 持仓方向 | 仅适用于合约业务(U本位,币本位) |
| »» order_mode | integer | 订单模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_mode | integer | 持仓模式 | 仅适用于合约业务(U本位,币本位) |
| »» order_type | integer | 订单类型 | none |
| »» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »» leverage | integer | 杠杆倍数 | 仅适用于合约业务(U本位,币本位) |
| »» order_buy_or_sell | integer | 买卖方向 | none |
| »» number | integer | 合约张数 | 仅适用于合约业务(U本位,币本位) |
| »» amount | string | 冻结数量 | none |
| »» deal_number | integer | 成交数量 | 成交基础币量 |
| »» lock_base_amount | string | 委托基础币量 | 仅适用于现货业务 |
| »» lock_quote_amount | string | 委托计价币量 | 仅适用于现货业务 |
| »» filled_quote_amount | string | 成交计价币量 | 仅适用于现货业务 |
| »» price | string | 委托价格 | none |
| »» status | integer | 订单状态 | none |
| »» avg_price | string | 成交均价 | none |
| »» deal_fee | string | 已成交手续费 | none |
| »» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
| »» created_at | integer | 创建时间 | none |
| »» finish_at | integer | 完成时间 | none |
| »» ins_type | string | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| »» algo_info | object | 条件单信息 | none |
| »» coin | string | 计价币种 | none |
| »» bills | array[object] | 成交明细 | none |
| »»» bill_id | string | 明细ID | none |
| »»» product_name | string | 产品名称 | none |
| »»» order_id | string | 订单ID | none |
| »»» position_id | string | 仓位ID | 仅适用于合约业务(U本位,币本位) |
| »»» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »»» role | string | 角色 | none |
| »»» order_mode | integer | 订单模式 | 仅适用于合约业务(U本位,币本位) |
| »»» pos_side | string | 持仓方向 | 仅适用于合约业务(U本位,币本位) |
| »»» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »»» filled_amount | string | 成交数量 | none |
| »»» price | string | 成交价格 | none |
| »»» fee | string | 手续费 | none |
| »»» margin | string | 保证金 | 仅适用于合约业务(U本位,币本位) |
| »»» leverage | integer | 杠杆倍数 | 仅适用于合约业务(U本位,币本位) |
| »»» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
| »»» taker_fee | string | Taker手续费 | none |
| »»» maker_fee | string | Maker手续费 | none |
| »»» order_buy_or_sell | integer | 买卖方向 | none |
| »»» created_at | integer | 创建时间 | none |
| »»» ins_type | string | 业务类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| »»» order_type | integer | 订单类型 | none |
指定历史订单详情
限速:10次/秒
HTTP请求
GET /v2/trade/history/order/details
请求参数
| 名称 | 位置 | 类型 | 必选 | 描述 | 说明 |
|---|---|---|---|---|---|
| ins_type | query | string | 否 | 业务类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| order_id | query | string | 是 | 订单id |
返回参数
返回示例
{
"code": 200,
"msg": "success",
"data": {
"product_name": "BTCUSDT",
"order_id": "2517920520600050556",
"mgn_mode": 1,
"pos_side": "ST",
"order_mode": 1,
"pos_mode": 1,
"order_type": 2,
"pos_opt": 1,
"leverage": 5,
"order_buy_or_sell": 2,
"number": 2,
"amount": "0",
"deal_number": 2,
"lock_base_amount": "0",
"lock_quote_amount": "0",
"filled_quote_amount": "0",
"price": "107775",
"status": 4,
"avg_price": "107775",
"deal_fee": "0.012933",
"income": "0",
"created_at": 1751101108310,
"finish_at": 1751101108340,
"ins_type": "SWAP",
"algo_info": "[]",
"coin": "USDT",
"bills": [
{
"bill_id": "43786-2517920520600050556-2517720520600573709",
"product_name": "",
"order_id": "2517920520600050556",
"position_id": "205206000000000017",
"mgn_mode": 1,
"role": "taker",
"order_mode": 1,
"pos_side": "ST",
"pos_opt": 1,
"filled_amount": "1",
"price": "107775",
"fee": "0.0064665",
"margin": "2.1619665",
"leverage": 5,
"income": "0",
"taker_fee": "0.0006",
"maker_fee": "0.0004",
"order_buy_or_sell": 2,
"created_at": 1751101108324,
"ins_type": "SWAP",
"order_type": 2
},
{
"bill_id": "43786-2517920520600050556-2517820520600110106",
"product_name": "",
"order_id": "2517920520600050556",
"position_id": "205206000000000017",
"mgn_mode": 1,
"role": "taker",
"order_mode": 1,
"pos_side": "ST",
"pos_opt": 1,
"filled_amount": "1",
"price": "107775",
"fee": "0.0064665",
"margin": "2.1619665",
"leverage": 5,
"income": "0",
"taker_fee": "0.0006",
"maker_fee": "0.0004",
"order_buy_or_sell": 2,
"created_at": 1751101108325,
"ins_type": "SWAP",
"order_type": 2
}
]
}
}
| 名称 | 类型 | 描述 | 说明 |
|---|---|---|---|
| » code | integer | 状态码 | none |
| » msg | string | 描述信息 | none |
| » data | object | 数据 | none |
| »» product_name | string | 产品名称 | none |
| »» order_id | string | 订单ID | none |
| »» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_side | string | 持仓方向 | 仅适用于合约业务(U本位,币本位) |
| »» order_mode | integer | 订单模式 | 仅适用于合约业务(U本位,币本位) |
| »» pos_mode | integer | 持仓模式 | 仅适用于合约业务(U本位,币本位) |
| »» order_type | integer | 订单类型 | none |
| »» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »» leverage | integer | 杠杆倍数 | 仅适用于合约业务(U本位,币本位) |
| »» order_buy_or_sell | integer | 买卖方向 | none |
| »» number | integer | 合约张数 | 仅适用于合约业务(U本位,币本位) |
| »» amount | string | 冻结数量 | none |
| »» deal_number | integer | 成交数量 | 成交基础币量 |
| »» lock_base_amount | string | 委托基础币量 | 仅适用于现货业务 |
| »» lock_quote_amount | string | 委托计价币量 | 仅适用于现货业务 |
| »» filled_quote_amount | string | 成交计价币量 | 仅适用于现货业务 |
| »» price | string | 委托价格 | none |
| »» status | integer | 订单状态 | none |
| »» avg_price | string | 成交均价 | none |
| »» deal_fee | string | 已成交手续费 | none |
| »» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
| »» created_at | integer | 创建时间 | none |
| »» finish_at | integer | 完成时间 | none |
| »» ins_type | string | 产品类型 | SPOT - 现货,SWAP - U本位,BASE - 币本位 |
| »» algo_info | object | 条件单信息 | none |
| »» coin | string | 计价币种 | none |
| »» bills | array[object] | 成交明细 | none |
| »»» bill_id | string | 明细ID | none |
| »»» product_name | string | 产品名称 | none |
| »»» order_id | string | 订单ID | none |
| »»» position_id | string | 仓位ID | 仅适用于合约业务(U本位,币本位) |
| »»» mgn_mode | integer | 保证金模式 | 仅适用于合约业务(U本位,币本位) |
| »»» role | string | 角色 | none |
| »»» order_mode | integer | 订单模式 | 仅适用于合约业务(U本位,币本位) |
| »»» pos_side | string | 持仓方向 | 仅适用于合约业务(U本位,币本位) |
| »»» pos_opt | integer | 仓位操作 | 仅适用于合约业务(U本位,币本位) |
| »»» filled_amount | string | 成交数量 | none |
| »»» price | string | 成交价格 | none |
| »»» fee | string | 手续费 | none |
| »»» margin | string | 保证金 | 仅适用于合约业务(U本位,币本位) |
| »»» leverage | integer | 杠杆倍数 | 仅适用于合约业务(U本位,币本位) |
| »»» income | string | 平仓盈亏 | 仅适用于合约业务(U本位,币本位) |
[...]
